import { Route, Switch, Redirect } from "wouter";

import './App.css'

// import {
// 	// DifferencePage,
// 	// DocumentAbout,
// 	// Gallery,
// 	// LoginPage,
// 	// NotFoundPage,
// 	// ProfilePage,
// 	// ReaderPage,
// 	// SettingPage,
// 	// TagsPage,
// } from "./page/mod";

import { TooltipProvider } from "./components/ui/tooltip.tsx";

import Gallery from "./page/galleryPage.tsx";
import Layout from "./components/layout/layout.tsx";
import NotFoundPage from "./page/404.tsx";
import LoginPage from "./page/loginPage.tsx";
import ProfilePage from "./page/profilesPage.tsx";
import ContentInfoPage from "./page/contentInfoPage.tsx";
import SettingPage from "./page/settingPage.tsx";

const App = () => {
	return (
		<TooltipProvider>
			<Layout>
				<Switch>
					<Route path="/" component={() => <Redirect replace to="/search?" />} />
					<Route path="/search" component={Gallery} />
					<Route path="/login" component={LoginPage} />
					<Route path="/profile" component={ProfilePage}/>
					<Route path="/doc/:id" component={ContentInfoPage}/>
					<Route path="/setting" component={SettingPage} />
					{/* 
				<Route path="/doc/:id/reader" component={<ReaderPage />}></Route>
				<Route path="/difference" component={<DifferencePage />}></Route>
			<Route path="/tags" component={<TagsPage />}></Route>*/}
					<Route component={NotFoundPage} />
				</Switch>
			</Layout>
		</TooltipProvider>);
};

export default App
